
/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package oracle.javacloud.filebrowser;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * Provides File entity that will be used in the web service.
 *
 */
@XmlRootElement
public class FileDesc {

    /**
     * class fields to describe File entity
     */
    private String filename;
    private boolean isDir;
    private boolean canRead;
    private boolean canDelete;
    private boolean isHidden;

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public boolean isDir() {
        return isDir;
    }

    public void setDir(boolean dir) {
        isDir = dir;
    }

    public boolean isCanRead() {
        return canRead;
    }

    public void setCanRead(boolean canRead) {
        this.canRead = canRead;
    }

    public boolean isCanDelete() {
        return canDelete;
    }

    public void setCanDelete(boolean canDelete) {
        this.canDelete = canDelete;
    }

    public boolean isHidden() {
        return isHidden;
    }

    public void setHidden(boolean hidden) {
        isHidden = hidden;
    }
}
